:root {
    --Kolor-Gwny: #FF9100;
    --Kolor-Dodatkowy: #FFAF45;
    --Kolor-Drugorzdny: #9AC4D6;
    --Kolor-Akcent: #9075C7;
    --Background-Gwny: #f8f8f8;
    --Background-Dodatkowy: #FFF;
    --Pole-Obrys-Jasny: #E3E3E3;
    --Pole-Jasne: rgba(255, 255, 255, 0.75);
    --Tekst-Gwny: #100707;
    --Tekst-Dodatkowy: #4C4545;
    --Tekst-Akcent: #ACA8A8;
    --Akcent-Zielony: #90E97A;
    --Akcent-Czerwony: #EA6565;
    --Kolor-White: #FFFFFF;

    --boxshadow: 0 0 24px 0 rgba(0, 0, 0, 0.08);
    --section-full-screen: 100vh;
    --transition: all .35s ease-in-out;

    --font-body: 'Poppins', sans-serif;
    --Gradient-Pomaraczowy: linear-gradient(90deg, #FFAF45 0%, #ff9100 100%);
    --Boxshadow-Pomaranczowy: 0 10px 25px rgba(230, 81, 0, 0.4);
    --Gradient-Beauty: linear-gradient(90deg, rgb(215, 65, 144) 0%, rgb(221, 117, 171) 100%);
    --Boxshadow-Beauty: 0 10px 25px rgba(233, 30, 99, 0.3);
    --Gradient-Kontrast: linear-gradient(90deg, #9AC4D6 0%, #9075C7 100%);
    --Boxshadow-Kontrast: 0 10px 25px rgba(144, 117, 199, 0.3);
    --Gradient-Fundacja: linear-gradient(90deg, #523B81 0%, #6A4EA3 100%);
    --Boxshadow-Fundacja: 0 10px 25px rgba(82, 59, 129, 0.3);
    --height-nav: 72px;
}

body {
    font-family: var(--font-body);
    font-style: normal;
    line-height: 1.5;
    color: var(--Tekst-Dodatkowy);
    background-color: var(--Background-Gwny);
    position: relative;
}

/* Styl dla trybu wysokiego kontrastu (WCAG) */
body.high-contrast {
    --Background-Gwny: #000000 !important;
    --Background-Dodatkowy: #121212 !important;
    --Tekst-Gwny: #FFFF00 !important;
    /* Żółty tekst na czarnym tle */
    --Tekst-Dodatkowy: #FFFFFF !important;
    /* Biały tekst */
    --Tekst-Akcent: #FFFF00 !important;
    --Pole-Obrys-Jasny: #FFFF00 !important;
    --Kolor-Gwny: #FFFF00 !important;
    --Kolor-Dodatkowy: #FFFF00 !important;
    --Gradient-Pomaraczowy: #FFFF00  !important;
    background-color: #000000 !important;
    color: #FFFFFF !important;
}

body.high-contrast .sf-hero-baner {
    --Tekst-Gwny: #000000 !important;
    /* Żółty tekst na czarnym tle */
    --Tekst-Dodatkowy: #000000 !important;
    /* Biały tekst */
    --Tekst-Akcent: #000000 !important;
    --Pole-Obrys-Jasny: #000000 !important;
    --Kolor-Gwny: #000000 !important;
    --Kolor-Dodatkowy: #000000 !important;
    --Gradient-Pomaraczowy: #000000  !important;
}

/* Przykładowe poprawki dla linków i przycisków w trybie kontrastu */
body.high-contrast a,
body.high-contrast .nav-link,
body.high-contrast .dropdown-item {
    color: #100707 !important;
    text-decoration: underline !important;
}

body.high-contrast .btn-main {
    background: #FFFF00 !important;
    color: #100707 !important;
    border: 2px solid #FFFF00 !important;
}

body.high-contrast div > svg path,
body.high-contrast a > svg path,
body.high-contrast button > svg path {
    fill: #000000 !important;
    stroke: #FFFF00 !important;
}

body.high-contrast div:hover > svg path,
body.high-contrast a:hover > svg path,
body.high-contrast button:hover > svg path {
    fill: #000000 !important;
    stroke: #000000 !important;
}

body.high-contrast .icon.contrast svg path{
    fill: #FFFF00 !important;
    stroke: #FFFF00 !important;
}

body.high-contrast .icon.contrast:hover svg path {
    fill: #000000 !important;
    stroke: #000000 !important;
}

img {
    width: 100%;
}

/* Typography */
h1,
h2,
h3,
h4,
h5,
h6 {
    color: var(--Tekst-Gwny);
    font-weight: 400;
    line-height: 120%;
    margin: 0 !important;
}

h1 b,
h2 b,
h3 b,
h4 b,
h5 b,
h6 b h1 strong,
h2 strong,
h3 strong,
h4 strong,
h5 strong,
h6 strong,
h1 span,
h2 span,
h3 span,
h4 span,
h5 span,
h6 span {
    font-weight: 300;
}

h1,
.h1 {
    font-size: 3rem;
    font-weight: 600;
}

h2,
.h2 {
    font-size: 2.5rem;
    font-weight: 600;
}

h3,
.h3 {
    font-size: 2.0625rem;
    font-weight: 600;
}

h4,
.h4 {
    font-size: 1.75rem;
    font-weight: 600;
}

h5,
.h5 {
    font-size: 1.4375rem;
    font-weight: 600;
}

h6,
.h6 {
    font-size: 1.25rem;
    font-weight: 600;
}

p,
.p {
    color: var(--Tekst-Dodatkowy);
    font-family: var(--font-body);
    font-style: normal;
    font-size: 1rem;
    font-weight: 400;
    line-height: 150%;
    margin: 0 !important;
}

a {
    color: var(--Kolor-Dodatkowy);
    font-family: var(--font-body);
    font-style: normal;
    font-size: 1rem;
    font-style: normal;
    font-weight: 400;
    line-height: 150%;
    text-decoration: none;
    transition: all 0.3s ease-in-out;
}

a:hover {
    color: var(--Kolor-Gwny);
}

.color-gray {
    color: var(--Pole-Obrys-Jasny);
}

/* BUTTONS */
.btn-main {
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 8px;
    padding: 14px 48px;
    font-size: 0.875rem;
    font-weight: 500;
    font-style: normal;
    font-variant: normal;
    text-decoration: none;
    text-align: center;
    word-spacing: normal;
    line-height: 150%;
    color: var(--Kolor-White);
    border: 1px solid var(--Pole-Obrys-Jasny);
    background: var(--Gradient-Pomaraczowy);
	background-clip: padding-box!important;
    border-radius: 64px;
    z-index: 2;
    transform: translateZ(0);
    transition: all 0.3s ease;
}

.btn-main:hover {
    color: var(--Kolor-White);
    transform: translateY(-2px);
    box-shadow: var(--Boxshadow-Pomaranczowy);
}

.btn-main.beauty {
    border: 1px solid var(--Pole-Obrys-Jasny);
    background: var(--Gradient-Beauty);
    color: var(--Kolor-White);
}

.btn-main.beauty:hover {
    transform: translateY(-2px);
    box-shadow: var(--Boxshadow-Beauty);
}

.btn-main.accent {
    border: 1px solid var(--Pole-Obrys-Jasny);
    background: var(--Gradient-Kontrast);
    color: var(--Kolor-White);
}

.btn-main.accent:hover {
    transform: translateY(-2px);
    box-shadow: var(--Boxshadow-Kontrast);
}

.btn-main.fundacja {
    border: 1px solid var(--Pole-Obrys-Jasny);
    background: var(--Gradient-Fundacja);
    color: var(--Kolor-White);
}

.btn-main.fundacja:hover {
    transform: translateY(-2px);
    box-shadow: var(--Boxshadow-Fundacja);
}

/* .btn-main:hover {
    background: var(--Kolor-White);
    color: var(--Kolor-Dodatkowy);
    border-color: var(--Kolor-Dodatkowy)
} */

.btn-main svg path {
    fill: var(--Kolor-White);
    transition: all 0.3s ease;
}

.btn-main:hover svg path {
    fill: var(--Kolor-Dodatkowy);
}

.btn-main.outline {
    background: transparent;
    border-color: var(--Kolor-White);
    color: var(--Kolor-White);
}

.btn-main.outline:hover {
    background: var(--Kolor-White);
    color: var(--Tekst-Dodatkowy);
}

.btn-main.outline svg path {
    fill: var(--Kolor-White);
}

.btn-main.outline:hover svg path {
    fill: var(--Tekst-Dodatkowy);
}

.btn-main.outline.disable:hover {
    background: var(--Kolor-White);
    border-color: var(--Pole-Obrys-Jasny);
    color: var(--Tekst-Dodatkowy);
    cursor: auto;
}

.btn-main.outline.disable:hover svg path {
    fill: var(--Tekst-Dodatkowy);
}

.btn-main.white {
    background: var(--Kolor-White);
    color: var(--Tekst-Gwny);
}

.btn-main.white:hover {
    background: var(--Tekst-Gwny);
    color: var(--Kolor-White);
    border: 1px solid var(--Pole-Obrys-Jasny);
}

.btn-main.white svg path {
    fill: var(--Tekst-Gwny);
    transition: all 0.3s ease;
}

.btn-main.white:hover svg path {
    fill: var(--Kolor-White);
}

.btn-link {
    color: var(--Tekst-Gwny);
    font-family: Poppins;
    font-size: 1rem;
    font-style: normal;
    font-weight: 600;
    line-height: 150%;
    text-decoration-line: underline;
    text-decoration-style: solid;
    text-decoration-skip-ink: none;
    text-decoration-thickness: auto;
    text-underline-offset: auto;
    text-underline-position: from-font;
}

.btn-link:hover {
    color: var(--Kolor-Gwny);
}

@media screen and (max-width: 576px) {
    .btn-actions {
        width: 100%;
    }
    
    .btn-main {
        padding: 14px 28px;
    }
}

/* GAPS */
.gap-12 {
    gap: 12px;
}

.gap-32 {
    gap: 32px;
}

/* MARGINS & PADDINGS */
.py-160 {
    padding-top: 160px !important;
    padding-bottom: 160px !important;
}

.pt-160 {
    padding-top: 160px !important;
}

.pb-160 {
    padding-bottom: 160px !important;
}

.py-128 {
    padding-top: 128px !important;
    padding-bottom: 128px !important;
}

.pt-128 {
    padding-top: 128px !important;
}

.pb-128 {
    padding-bottom: 128px !important;
}

.py-96 {
    padding-top: 96px !important;
    padding-bottom: 96px !important;
}

.pt-96 {
    padding-top: 96px !important;
}

.pb-96 {
    padding-bottom: 96px !important;
}

.py-64 {
    padding-top: 64px !important;
    padding-bottom: 64px !important;
}

.pt-64 {
    padding-top: 64px !important;
}

.pb-64 {
    padding-bottom: 64px !important;
}

.my-128 {
    margin-top: 128px !important;
    margin-bottom: 128px !important;
}

.mt-128 {
    margin-top: 128px !important;
}

.mb-128 {
    margin-bottom: 128px !important;
}

.my-96 {
    margin-top: 96px !important;
    margin-bottom: 96px !important;
}

.mt-96 {
    margin-top: 96px !important;
}

.mb-96 {
    margin-bottom: 96px !important;
}

.my-64 {
    margin-top: 64px !important;
    margin-bottom: 64px !important;
}

.mt-64 {
    margin-top: 64px !important;
}

.mb-64 {
    margin-bottom: 64px !important;
}

/* BORDERS */
.sf-border-primary {
    border: 1px solid var(--Tekst-Dodatkowy) !important;
}

.fullheight-section {
    height: var(--section-full-screen);
    display: flex;
    flex-direction: column;
    justify-content: center;
    position: relative;
    overflow: hidden;
}

.falfheight-section {
    height: calc(var(--section-full-screen) - 50dvh);
    display: flex;
    flex-direction: column;
    justify-content: center;
    position: relative;
    overflow: hidden;
}

/* Przekierowanie */
.formularz-kontaktowy {
    scroll-margin-top: 64px;
}

/* Hero Section */
@media only screen and (max-width: 1200px) {}

@media only screen and (max-width: 992px) {}

/* STRONA GŁOWNA */
@media only screen and (max-width: 1200px) {}

@media only screen and (max-width: 992px) {}

@media only screen and (max-width: 768px) {
    h1,
    .h1 {
        font-size: 2rem;
    }

    h2,
    .h2 {
        font-size: 1.75rem;
    }

    h3,
    .h3 {
        font-size: 1.5rem;
    }

    h4,
    .h4 {
        font-size: 1.3125rem;
    }

    h5,
    .h5 {
        font-size: 1.1875rem;
    }

    h6,
    .h6 {
        font-size: 1.125rem;
    }
}

/* END STRONA GŁOWNA */


/* ============================================
   HERO SECTION
   ============================================ */
.sf-breadcrumb {
    display: flex;
    justify-content: flex-start;
    align-items: center;
    gap: 8px;
    width: 100%;
}

.sf-breadcrumb .sf-breadcrumb-link {
    display: flex;
    align-items: center;
    justify-content: center;
    font-family: Poppins;
    font-size: 0.6875rem;
    font-style: normal;
    font-weight: 400;
    line-height: 150%;
    color: var(--Tekst-Akcent);
    text-decoration: none;
    transition: var(--transition);
}

.sf-breadcrumb .sf-breadcrumb-link:hover {
    color: var(--Tekst-Gwny);
    text-decoration: underline;
}

.hero-section {
    display: flex;
    flex-direction: column;
    position: relative;
    overflow: hidden;
    padding: 48px 0 96px 0;
    min-height: 524px;
    max-height: 524px;
    z-index: 1;
}

.sf-hero.hero-section {
    padding: 48px 0;
    height: auto;
    min-height: fit-content;
}

.kontakt-section.hero-section {
    padding: 64px 0 48px 0;
    background-color: #F8F8F8;
}

.hero-section.glowna-section {
    padding: 144px 0 48px 0;
}

.hero-section .hero-background {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    z-index: 0;
}

.hero-section .hero-bg-image {
    width: 100%;
    height: 100%;
    object-fit: cover;
    object-position: 75% 0%;
    position: relative;
}

.hero-section .sf-hero-container {
    position: relative;
    z-index: 1;
}

.hero-section .sf-hero-container .sf-hero-content {
    display: flex;
    flex-direction: column;
    gap: 48px;
}

.sf-hero.hero-section .sf-hero-container .sf-hero-content .sf-hero-body {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    gap: 24px;
}

.sf-hero.hero-section .sf-hero-container .sf-hero-content .sf-hero-body .sf-hero-inner {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    gap: 16px;
}

.sf-hero.hero-section .sf-hero-container .sf-hero-content .sf-hero-body .sf-hero-inner .sf-hero-title {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    gap: 8px;
}

.kosmetyki-i-suplementy-section.sf-hero.hero-section .sf-hero-container .sf-hero-content .sf-hero-body .sf-hero-inner .sf-hero-title {
    font-weight: 300;
}

.kosmetyki-i-suplementy-section.sf-hero.hero-section .sf-hero-container .sf-hero-content .sf-hero-body .sf-hero-inner .sf-hero-title span {
    font-weight: 600;
}

.sf-hero.hero-section .sf-hero-container .sf-hero-content .sf-hero-body .sf-hero-inner .sf-hero-subtitle {
    color: var(--Kolor-Gwny, #FF9100);
    text-align: center;
    font-size: 1.4375rem;
    font-style: italic;
    font-weight: 300;
    line-height: 140%;
}

.sf-hero.hero-section .sf-hero-container .sf-hero-content .sf-hero-body .sf-hero-inner .sf-hero-text {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    gap: 8px;
    width: 75%;
    text-align: center;
}

/* BANER */
.sf-hero-baner.hero-section .sf-hero-container .sf-hero-content .sf-hero-body {
    display: flex;
    flex-direction: column;
    align-items: start;
    justify-content: center;
    gap: 32px;
}

.sf-hero-baner.hero-section .sf-hero-container .sf-hero-content .sf-hero-body .sf-hero-inner {
    display: flex;
    flex-direction: column;
    align-items: start;
    justify-content: center;
    gap: 16px;
    width: 100%;
}

.sf-hero-baner.hero-section .sf-hero-container .sf-hero-content .sf-hero-body .sf-hero-inner .sf-hero-title {
    display: flex;
    flex-direction: column;
    align-items: start;
    justify-content: start;
    gap: 8px;
    width: 100%;
}

.sf-hero-baner.hero-section .sf-hero-container .sf-hero-content .sf-hero-body .sf-hero-inner .sf-hero-subtitle {
    color: var(--Kolor-Gwny, #FF9100);
    font-size: 1.4375rem;
    font-style: italic;
    font-weight: 300;
    line-height: 140%;
}

.sf-hero-baner.hero-section .sf-hero-container .sf-hero-content .sf-hero-body .sf-hero-inner .sf-hero-text {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    gap: 8px;
    width: 100%;
}

.kontakt-section.hero-section .sf-hero-container .sf-hero-content .sf-hero-body .sf-hero-inner .sf-hero-title {
    flex-direction: row;
}

.hero-section::after {
    content: "";
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    z-index: 0;
    background: transparent;
}

.hero-section.podziekowanie-za-kontakt-section {
	justify-content: center;
}

.hero-section.podziekowanie-za-kontakt-section .sf-hero-baner.hero-section .sf-hero-container .sf-hero-content .sf-hero-body .sf-hero-inner .sf-hero-subtitle {
	font-size: 2rem;
}


@media only screen and (max-width: 1200px) {
    .sf-hero-baner.hero-section .sf-hero-container .sf-hero-content .sf-hero-body .sf-hero-inner .sf-hero-title {
        flex-direction: column !important;
    }
}

@media only screen and (max-width: 992px) {
    .hero-section::after {
        background: rgba(255, 255, 255, 0.75);
    }

    .sf-hero-baner.hero-section .sf-hero-container .sf-hero-content .sf-hero-body .sf-hero-inner .sf-hero-title {
        flex-direction: row !important;
    }

    .sf-hero-baner.hero-section .sf-hero-container .sf-hero-content .sf-hero-body .sf-hero-inner .sf-hero-title:has(.sf-hero-subtitle) {
        flex-direction: column !important;
    }

    .sf-hero-baner.hero-section .sf-hero-container .sf-hero-content .sf-hero-body,
    .sf-hero-baner.hero-section .sf-hero-container .sf-hero-content .sf-hero-body .sf-hero-inner,
    .sf-hero-baner.hero-section .sf-hero-container .sf-hero-content .sf-hero-body .sf-hero-inner .sf-hero-title {
        justify-content: center;
        align-items: center;
        text-align: center;
    }

    .sf-hero.hero-section .sf-hero-container .sf-hero-content .sf-hero-body .sf-hero-inner .sf-hero-text,
    .sf-hero-baner.hero-section .sf-hero-container .sf-hero-content .sf-hero-body .sf-hero-inner .sf-hero-text {
        align-items: center;
        text-align: center;
        width: 80%;
    }
}

@media only screen and (max-width: 768px) {
    .hero-section {
        max-height: unset;
        padding: 48px 0 48px 0;
    }
    .hero-section .hero-bg-image {
        object-position: 85% center;
    }

    .sf-hero.hero-section .sf-hero-container .sf-hero-content .sf-hero-body .sf-hero-inner .sf-hero-text,
    .sf-hero-baner.hero-section .sf-hero-container .sf-hero-content .sf-hero-body .sf-hero-inner .sf-hero-text {
        width: 90%;
    }
}

@media only screen and (max-width: 576px) {
    .sf-hero.hero-section .sf-hero-container .sf-hero-content .sf-hero-body .sf-hero-inner .sf-hero-text,
    .sf-hero-baner.hero-section .sf-hero-container .sf-hero-content .sf-hero-body .sf-hero-inner .sf-hero-text {
        width: 100%;
    }
}

@media only screen and (max-width: 500px) {
    .sf-hero-baner.hero-section .sf-hero-container .sf-hero-content .sf-hero-body {
        flex-direction: column;
    }

    .sf-hero-baner.hero-section .sf-hero-container .sf-hero-content .sf-hero-body .sf-hero-inner .sf-hero-title {
        flex-direction: column !important;
    }
}

/* 404 i Thank-you*/
.sf-hero.bg-404 .sf-hero-404-content {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    gap: 24px;
}

.sf-hero.bg-404 .sf-hero-404-content .sf-hero-404-title {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    gap: 8px;
    font-weight: 300;
}

.sf-hero.bg-404 .sf-hero-404-content .sf-hero-404-title span {
    font-weight: 600;
}

.sf-hero.bg-404 .sf-hero-404-content .sf-hero-404-text {
    text-align: center;
    max-width: 600px;
}

.sf-hero.bg-thank_you .sf-hero-404-content .sf-hero-404-title {
    text-align: center;
    font-weight: 300;
}

.sf-hero.bg-thank_you .sf-hero-404-content .sf-hero-404-text {
    text-align: center;
    max-width: 600px;
}

/* END 404 */

/*CookieYes*/
.cky-notice-btn-wrapper .cky-btn {
    color: #fff !important;
    border-color: #ff9100 !important;
    background-color: #ff9100 !important;
}

.cky-notice-btn-wrapper .cky-btn:nth-child(1) {
    color: #ff9100 !important;
    background-color: #fff !important;
}

.cky-prefrence-btn-wrapper .cky-btn {
    color: #fff !important;
    border-color: #ff9100 !important;
    background-color: #ff9100 !important;
}

.cky-btn-revisit-wrapper {
    background-color: #ff9100 !important;
}